use crate::autosplitters::supermetroid::Settings;
use livesplit_core::{Run, Segment};

pub fn hundo() -> (Settings, livesplit_core::Run) {
    let mut settings = Settings::new();
    settings.split_on_hundo();
    let mut run = Run::new();
    run.set_game_name("Super Metroid");
    run.set_category_name("100%");
    run.push_segment(Segment::new("ceresRidley"));
    run.push_segment(Segment::new("ceresEscape"));
    run.push_segment(Segment::new("morphBall"));
    run.push_segment(Segment::new("firstMissile"));
    run.push_segment(Segment::new("bomb"));
    run.push_segment(Segment::new("bomb torizo"));
    run.push_segment(Segment::new("terminator tank"));
    run.push_segment(Segment::new("early supers"));
    run.push_segment(Segment::new("missile behind reserve"));
    run.push_segment(Segment::new("missile behind behind"));
    run.push_segment(Segment::new("brin reserve"));
    run.push_segment(Segment::new("missile quick fall"));
    run.push_segment(Segment::new("charge beam"));
    run.push_segment(Segment::new("spazer"));
    run.push_segment(Segment::new("kraid"));
    run.push_segment(Segment::new("varia"));
    run.push_segment(Segment::new("beetom tank"));
    run.push_segment(Segment::new("hjb tank"));
    run.push_segment(Segment::new("boots"));
    run.push_segment(Segment::new("missile boots"));
    run.push_segment(Segment::new("missile cathedral"));
    run.push_segment(Segment::new("missile speedbooster"));
    run.push_segment(Segment::new("speedbooster"));
    run.push_segment(Segment::new("missile wave"));
    run.push_segment(Segment::new("wave"));
    run.push_segment(Segment::new("croc tank"));
    run.push_segment(Segment::new("crocomire"));
    run.push_segment(Segment::new("croc pb"));
    run.push_segment(Segment::new("grapple"));
    run.push_segment(Segment::new("missile grapple"));
    run.push_segment(Segment::new("missile swag dboost"));
    run.push_segment(Segment::new("missile croc escape"));
    run.push_segment(Segment::new("missile alpha"));
    run.push_segment(Segment::new("alpha pb"));
    run.push_segment(Segment::new("beta pb"));
    run.push_segment(Segment::new("missile moat"));
    run.push_segment(Segment::new("missile spooky"));
    run.push_segment(Segment::new("phantoon"));
    run.push_segment(Segment::new("right super"));
    run.push_segment(Segment::new("left super"));
    run.push_segment(Segment::new("ws tank"));
    run.push_segment(Segment::new("missile attic"));
    run.push_segment(Segment::new("missile sky"));
    run.push_segment(Segment::new("missile tunnel"));
    run.push_segment(Segment::new("missile bowling"));
    run.push_segment(Segment::new("ws reserve"));
    run.push_segment(Segment::new("gravity"));
    run.push_segment(Segment::new("missile mermaid"));
    run.push_segment(Segment::new("criteria pb"));
    run.push_segment(Segment::new("gauntlet tank"));
    run.push_segment(Segment::new("gauntlet missile1"));
    run.push_segment(Segment::new("gauntlet missile2"));
    run.push_segment(Segment::new("etecoons tank"));
    run.push_segment(Segment::new("etecoons supers"));
    run.push_segment(Segment::new("etecoons pb"));
    run.push_segment(Segment::new("missile pink brin top"));
    run.push_segment(Segment::new("mission impossible pb"));
    run.push_segment(Segment::new("wave gate tank"));
    run.push_segment(Segment::new("spospo super"));
    run.push_segment(Segment::new("missile pink brin bottom"));
    run.push_segment(Segment::new("waterways tank"));
    run.push_segment(Segment::new("missile greenhills"));
    run.push_segment(Segment::new("maridia tube"));
    run.push_segment(Segment::new("missile mainstreet"));
    run.push_segment(Segment::new("momma turtle tank"));
    run.push_segment(Segment::new("missile momma turtle"));
    run.push_segment(Segment::new("crab supers"));
    run.push_segment(Segment::new("missile beach"));
    run.push_segment(Segment::new("wateringhole supers"));
    run.push_segment(Segment::new("missile wateringhole"));
    run.push_segment(Segment::new("botwoon"));
    run.push_segment(Segment::new("botwoon tank"));
    run.push_segment(Segment::new("missile precious room"));
    run.push_segment(Segment::new("draygon"));
    run.push_segment(Segment::new("spacejump"));
    run.push_segment(Segment::new("missile right sandpit"));
    run.push_segment(Segment::new("right sandpit pb"));
    run.push_segment(Segment::new("springball"));
    run.push_segment(Segment::new("plasma"));
    run.push_segment(Segment::new("missile aqueduct"));
    run.push_segment(Segment::new("aqueduct super"));
    run.push_segment(Segment::new("maridia reserve"));
    run.push_segment(Segment::new("missile left sandpit"));
    run.push_segment(Segment::new("missile wharehouse"));
    run.push_segment(Segment::new("ice"));
    run.push_segment(Segment::new("missile crumble shaft"));
    run.push_segment(Segment::new("missile gt"));
    run.push_segment(Segment::new("gt super"));
    run.push_segment(Segment::new("gt"));
    run.push_segment(Segment::new("screwattack"));
    run.push_segment(Segment::new("missile mickeymouse"));
    run.push_segment(Segment::new("pbs of shame"));
    run.push_segment(Segment::new("ridley"));
    run.push_segment(Segment::new("ridley tank"));
    run.push_segment(Segment::new("firefleas tank"));
    run.push_segment(Segment::new("missile hota"));
    run.push_segment(Segment::new("jail pb"));
    run.push_segment(Segment::new("missile ffz"));
    run.push_segment(Segment::new("missile norfair reserve"));
    run.push_segment(Segment::new("missile norfair reserve"));
    run.push_segment(Segment::new("norfair reserve"));
    run.push_segment(Segment::new("missile bubble mountain"));
    run.push_segment(Segment::new("xr_tech"));
    run.push_segment(Segment::new("retro pb"));
    run.push_segment(Segment::new("brin ceiling tank"));
    run.push_segment(Segment::new("missile billy mays 1"));
    run.push_segment(Segment::new("missile billy mays 2"));
    run.push_segment(Segment::new("missile retro brin"));
    run.push_segment(Segment::new("missile old mb"));
    run.push_segment(Segment::new("climb supers"));
    run.push_segment(Segment::new("missile dental plan"));
    run.push_segment(Segment::new("g4 room"));
    run.push_segment(Segment::new("the baby!"));
    run.push_segment(Segment::new("mb1"));
    run.push_segment(Segment::new("mb2"));
    run.push_segment(Segment::new("mb3"));
    run.push_segment(Segment::new(".done"));
    (settings, run)
}

pub fn anypercent() -> (Settings, livesplit_core::Run) {
    let mut settings = Settings::new();
    settings.split_on_anypercent();
    let mut run = Run::new();
    run.set_game_name("Super Metroid");
    run.set_category_name("KPDR");
    run.push_segment(Segment::new("ceresRidley"));
    run.push_segment(Segment::new("ceresEscape"));
    run.push_segment(Segment::new("morphBall"));
    run.push_segment(Segment::new("firstMissile"));
    run.push_segment(Segment::new("bomb"));
    run.push_segment(Segment::new("bomb torizo"));
    run.push_segment(Segment::new("terminator tank"));
    run.push_segment(Segment::new("early supers"));
    run.push_segment(Segment::new("charge missile"));
    run.push_segment(Segment::new("charge beam"));
    run.push_segment(Segment::new("kraid"));
    run.push_segment(Segment::new("varia"));
    run.push_segment(Segment::new("hjb tank"));
    run.push_segment(Segment::new("boots"));
    run.push_segment(Segment::new("speedbooster"));
    run.push_segment(Segment::new("missile wave"));
    run.push_segment(Segment::new("wave"));
    run.push_segment(Segment::new("alpha pb"));
    run.push_segment(Segment::new("phantoon"));
    run.push_segment(Segment::new("left super"));
    run.push_segment(Segment::new("gravity"));
    run.push_segment(Segment::new("maridia tube"));
    run.push_segment(Segment::new("botwoon"));
    run.push_segment(Segment::new("botwoon tank"));
    run.push_segment(Segment::new("draygon"));
    run.push_segment(Segment::new("spacejump"));
    run.push_segment(Segment::new("plasma"));
    run.push_segment(Segment::new("ice"));
    run.push_segment(Segment::new("ridley"));
    run.push_segment(Segment::new("g4 room"));
    run.push_segment(Segment::new("the baby!"));
    run.push_segment(Segment::new("mb1"));
    run.push_segment(Segment::new("mb2"));
    run.push_segment(Segment::new("mb3"));
    run.push_segment(Segment::new(".done"));
    (settings, run)
}
